#include "xmaterialshaderargument.h"

XMaterialShaderArgument::XMaterialShaderArgument()
    : XAsset()
    , mType(0)
    , mDest(0)
    , mDef()
{
    
}

void XMaterialShaderArgument::Clear()
{
    
}

void XMaterialShaderArgument::ParseData(QDataStream *aStream)
{
    
}
